## visad
Interface LinearSet

All Known Implementing Classes:
  Linear1DSet, Linear2DSet, Linear3DSet, LinearNDSet

public interface LinearSet

LinearSet is an interface for finite sets of samples of R^Dimension in a cross product of arithmetic progressions.

The order of the samples is the rasterization of the orders of the 1D components, with the first component increasing fastest. For more detail, see the example in Linear2DSet.java.

Method Summary
`Linear1DSet` `getLinear1DComponent(int i)` Get the indexed component.

Method Detail

### getLinear1DComponent

    public Linear1DSet getLinear1DComponent(int i)

  Get the indexed component.

  Parameters:
    `i` - Index of component
  Returns:
    The requested component
  Throws:
    `ArrayIndexOutOfBoundsException` - If an invalid index is specified.